﻿Public Class FrmMainDepartment

    Private DptManipQuery As String = ""
    Private DefaultDptId As Integer = 0

    Private Sub CloseForm(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        If e.KeyCode.Equals(Keys.Escape) Then
            Me.Close()
        End If
    End Sub

    Private Sub FrmMainDepartment_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Query(String.Format("CALL DptGetAll('{0}')", DefaultAcademicYearId), DtgDpt)
    End Sub

    Private Sub BtnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSave.Click

        If DefaultDptId = 0 Then

            'Query string for adding new department.
            DptManipQuery = String.Format("CALL DptAdd({0}, '{1}')", DefaultAcademicYearId, TxtDptName.Text)

            'Query for execution of adding new department.
            Query("Added new department successfully.", DptManipQuery)

            'Set a history after saving a department
            HistoryLogger.Log("Added new department: " & TxtDptName.Text, UserId, "Management")
        Else
            'Query string for updating a department.
            DptManipQuery = String.Format("CALL DptUpdate('{0}', {1})", TxtDptName.Text, DefaultDptId)

            'Query for execution of updating a department.
            Query("Updated department successfully.", DptManipQuery)

            'Set a history after updating a department
            HistoryLogger.Log("Updated department from " & DtgDpt.CurrentRow.Cells("Department name").Value & " to " & TxtDptName.Text, UserId, "Management")
        End If


        BtnAddNew.PerformClick()
        Main.LoadComboDatas()
        FrmMainDepartment_Load(sender, e)
    End Sub

    Private Sub BtnAddNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAddNew.Click

        DefaultDptId = 0
        ClearAllFields(GrpDptDetails)
    End Sub

    Private Sub DtgDpt_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DtgDpt.CellClick

        DefaultDptId = DtgDpt.CurrentRow.Cells("id").Value
        TxtDptName.Text = DtgDpt.CurrentRow.Cells("Department name").Value
    End Sub

    Private Sub TxtDptName_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TxtDptName.KeyDown

        If e.KeyCode = Keys.Enter Then

            BtnSave.PerformClick()
        End If
    End Sub
End Class