﻿Public Class FrmItemAssignDevice
    Friend ItemId As Integer = 0
    Private ApFirstname As String = String.Empty
    Private ApLastname As String = String.Empty

    Private Sub CloseForm(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        If e.KeyCode.Equals(Keys.Escape) Then
            Me.Close()
        End If
    End Sub

    Private Sub FrmItemAssignDevice_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        SetAutoCompletion(String.Format("CALL DptGetAllNameByAyId({0})", DefaultAcademicYearId), ComboDpt)
    End Sub

    Private Sub ComboDpt_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboDpt.SelectedIndexChanged
        SetAutoCompletion(String.Format("CALL AreaGetAllDepartment({0}, '{1}')", DefaultAcademicYearId, ComboDpt.Text), ComboArea)
    End Sub

    Private Sub BtnAssign_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAssign.Click
        Dim Dptid = GetSingleValue(String.Format("CALL DptGetOneById('{0}')", ComboDpt.Text))
        Dim AreaId = GetSingleValue(String.Format("CALL AreaGetOneById('{0}')", ComboArea.Text))

        Dim InputGroupCode = ComboPc.Text.Split("-")
        Dim InputGroupCodeName = InputGroupCode(0)
        Dim InputGroupCodeNum = InputGroupCode(1)
        Dim ItemGroupCode = GetSingleValue(String.Format("CALL ItemGroupGetIdByCode('{0}', {1}, {2}, {3}, {4})", InputGroupCodeName, InputGroupCodeNum, DefaultAcademicYearId, Dptid, AreaId))

        'Set the item to be assigned
        Query(String.Format("CALL ItemAssign({0})", FrmMainItem.DtgItem.CurrentRow.Cells("id").Value))
        Query("Assigned item successfully to " & ComboDpt.Text & " " & ComboArea.Text, String.Format("CALL ItemGroupAddItem({0}, {1}, {2}, {3}, '{4}', {5})", DefaultAcademicYearId, Dptid, AreaId, ItemId, InputGroupCodeName, InputGroupCodeNum))

        FrmMainItem.FrmMainItem_Load(sender, e)
        Close()
    End Sub

    Private Sub ComboArea_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboArea.SelectedIndexChanged
        Dim Dptid = GetSingleValue(String.Format("CALL DptGetOneById('{0}')", ComboDpt.Text))
        Dim AreaId = GetSingleValue(String.Format("CALL AreaGetOneById('{0}')", ComboArea.Text))

        SetAutoCompletion(String.Format("CALL ItemGroupGetAllNoId({0}, {1}, {2})", DefaultAcademicYearId, Dptid, AreaId), ComboPc)
    End Sub
End Class