﻿Module Auth
    ''' <summary>
    ''' The first name of the currently signed in user.
    ''' </summary>
    ''' <remarks>The first name of the currently signed in user.</remarks>
    Public UserFirstname As String = ""

    ''' <summary>
    ''' The last name of the currently signed in user.
    ''' </summary>
    ''' <remarks>The last name of the currently signed in user.</remarks>
    Public UserLastname As String = ""

    ''' <summary>
    ''' The username of the currently signed in user.
    ''' </summary>
    ''' <remarks>The username of the currently signed in user.</remarks>
    Public Username As String = ""

    ''' <summary>
    ''' The password of the currently signed in user.
    ''' </summary>
    ''' <remarks>The password of the currently signed in user.</remarks>
    Public UserPassword As String = ""

    ''' <summary>
    ''' The user type of the currently signed in user.
    ''' </summary>
    ''' <remarks>The user type of the currently signed in user.</remarks>
    Public UserType As String = ""

    ''' <summary>
    ''' The id of the user that is currently logged in.
    ''' </summary>
    ''' <remarks>The id of the user that is currently logged in.</remarks>
    Public UserId As Integer = 0
End Module
