﻿Public Class FrmMainItem
    Private Sub EditItem()
        With DtgItem.CurrentRow
            FrmManipItem.ItemId = .Cells("id").Value
            FrmManipItem.ComboType.Text = .Cells("Type").Value
            FrmManipItem.ComboModel.Text = .Cells("Model").Value
            FrmManipItem.ComboBrand.Text = .Cells("Brand").Value
            FrmManipItem.TxtSerial.Text = .Cells("Serial Number").Value
            FrmManipItem.TxtDescription.Text = .Cells("Description").Value

        End With
        FrmManipItem.ShowDialog()
    End Sub

    Private Sub CloseForm(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        If e.KeyCode.Equals(Keys.Escape) Then
            Me.Close()
        End If
    End Sub

    Private Sub BtnAddNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAddNew.Click
        FrmManipItem.ItemId = 0
        FrmManipItem.ShowDialog()
    End Sub

    Friend Sub FrmMainItem_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim Dptid = GetSingleValue(String.Format("CALL DptGetOneById('{0}')", Main.ComboDpt.Text))
        Dim AreaId = GetSingleValue(String.Format("CALL AreaGetOneById('{0}')", Main.ComboArea.Text))

        If LblTitle.Text.Equals("Manage Items") Then
            
            Query("CALL ItemGetAll()", DtgItem)
        Else
            DtgItem.DataSource = Nothing
            Dim ItemGroupName = Main.ItemCode.Split("-")(0)
            Dim ItemGroupNum = Main.ItemCode.Split("-")(1)
            Query(String.Format("CALL ItemGroupGetAllItems({0}, {1}, {2}, '{3}', {4})", DefaultAcademicYearId, Dptid, AreaId, ItemGroupName, ItemGroupNum), DtgItem)
        End If
    End Sub

    Private Sub DtgItem_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DtgItem.CellDoubleClick
        EditItem()
    End Sub

    Private Sub BtnAssignDevice_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAssignDevice.Click
        Try
            With DtgItem.CurrentRow
                FrmItemAssignDevice.LblTitle.Text = "Assign device: " & .Cells("Type").Value & " " & .Cells("Brand").Value & " " & .Cells("Model").Value
                FrmItemAssignDevice.ItemId = .Cells("id").Value
            End With
        Catch ex As Exception

        End Try
        
        FrmItemAssignDevice.ShowDialog()
    End Sub

    Private Sub EditToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EditToolStripMenuItem.Click
        EditItem
    End Sub

    Private Sub AssignDeviceToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AssignDeviceToolStripMenuItem.Click
        BtnAssignDevice.PerformClick()
    End Sub

    Private Sub DtgItem_DataSourceChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles DtgItem.DataSourceChanged
        '=====================================================
        'Solving for age of the item.
        '=====================================================
    End Sub
End Class