﻿Imports System.Windows.Forms

Public Class Login
    Private Sub OK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK.Click

        Dim IsUserLoggedIn As Boolean = False

        Username = GetSingleValue(String.Format("CALL UserGetUsername('{0}')", UsernameTextBox.Text))
        UserPassword = GetSingleValue(String.Format("CALL UserGetPassword('{0}')", UsernameTextBox.Text))
        UserType = GetSingleValue(String.Format("CALL UserGetUserType('{0}')", UsernameTextBox.Text))
        UserFirstname = GetSingleValue(String.Format("CALL UserGetFirstname('{0}')", UsernameTextBox.Text))
        UserLastname = GetSingleValue(String.Format("CALL UserGetLastname('{0}')", UsernameTextBox.Text))

        If UsernameTextBox.Text.Equals(String.Empty) = False Then

            Try
                UserId = GetSingleValue(String.Format("CALL UserGetId('{0}')", UsernameTextBox.Text))
            Catch ex As Exception
                'Must do something here for InvalidCastException but I(Christian Pecson) will allow it for it causes no harm.
            End Try
        End If

        If Username.Equals(UsernameTextBox.Text) And _
            UserPassword.Equals(PasswordTextBox.Text) And _
            UserType.Equals("staff") Or UserType.Equals("admin") Then

            IsUserLoggedIn = True

            Main.AcademicYearToolStripMenuItem.ShortcutKeys = CType((Keys.Alt Or Keys.D2), Keys)
            Main.DepartmentToolStripMenuItem.ShortcutKeys = CType((Keys.Alt Or Keys.D3), Keys)
            Main.AreaToolStripMenuItem.ShortcutKeys = CType((Keys.Alt Or Keys.D4), Keys)
            Main.ManageUsersToolStripMenuItem.ShortcutKeys = CType((Keys.Alt Or Keys.D5), Keys)
            Main.ManageItemsToolStripMenuItem.ShortcutKeys = CType((Keys.Alt Or Keys.D6), Keys)
            Main.ViewHistoryToolStripMenuItem.ShortcutKeys = CType((Keys.Alt Or Keys.D9), Keys)

            Main.OperationsToolStripMenuItem.Visible = True
            Main.GrpDisplayType.Show()
            Main.ManageAccountablePeopleToolStripMenuItem.Visible = False

            ClearAllFields(Me)
        ElseIf Username.Equals(UsernameTextBox.Text) And _
                UserPassword.Equals(PasswordTextBox.Text) And _
                UserType.Equals("student") Then

            IsUserLoggedIn = True

            Main.GrpDisplayType.Show()
            Main.OperationsToolStripMenuItem.Visible = True
            Main.ManageAccountablePeopleToolStripMenuItem.Visible = False
            Main.ManageUsersToolStripMenuItem.Visible = False
            Main.AcademicYearToolStripMenuItem.Visible = False
            Main.DepartmentToolStripMenuItem.Visible = False
            Main.AreaToolStripMenuItem.Visible = False
        Else

            IsUserLoggedIn = False

            MessageBox.Show("Access denied!" & vbCrLf & "User doesn't exist or there is a wrong spelling in email or UserPassword." & vbCrLf & "Please try again.", PROGRAM_NAME, MessageBoxButtons.OK, MessageBoxIcon.Warning)
        End If

        'If the user is logged in then show the necessary controls that depends on the type of user.
        If IsUserLoggedIn Then
            Main.SsAction.Show()
            Main.LblGreetings.Text = String.Format("Howdy! {0} {1}", UserFirstname, UserLastname)
            Main.LblGreetings.Show()

            Main.LoginToolStripMenuItem.Text = "Logout"
            Main.DtgItem.Show()

            HistoryLogger.Log("Logged in", UserId, "User")
            Me.Close()
        End If
    End Sub

    Private Sub Cancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel.Click

        Me.Close()
    End Sub

    Private Sub Login_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        SetAutoCompletion("CALL UserGetAllUsernames()", UsernameTextBox)
        UsernameTextBox.Focus()
    End Sub
End Class
